%% Disclaimer
%{

The information in this document is currently being subjected to peer 
review. Mention of trade names or commercial products does not constitute 
endorsement or recommendation for use by the developers.

The code here must be used at the user's own risk. 

Neither Industrial Economics, Inc., nor the program authors can assume 
responsibility for model operation, output, interpretation or usage.

The creators of this program have used their best efforts in preparing this 
code. It is not absolutely guaranteed to be error free. The author/programmer 
makes no warrantees, expressed or implied, including without limitation 
warrantees of merchantability or fitness for any particular purpose. No 
liability is accepted in any event for any damages, including accidental or 
consequential damages, lost of profits, costs of lost data or programming 
materials, or otherwise in connection with or arising out of the use of 
this program.

%}

%%

% find capacity that brings lifespan back to historical conditions

function capFrac = Temp_DistTransformerCap(baseLOL, currLOL, temp, tran)

loadFrac = [0.85 .9 .95 ];
N = length(loadFrac);

% try reducing load
LOLtab = zeros(size(baseLOL,1),N);
for i = 1:N
  [life_loss] = Temp_DistTransformerLOL(temp,tran,loadFrac(i));
  LOLtab(:,i) = sum(life_loss,2);
end

capFrac = zeros(size(baseLOL));
for i = 1:size(baseLOL,1)
  capFrac(i) = 1 - interp1([LOLtab(i,:) currLOL(i)],[loadFrac 1],baseLOL(i),'linear');
end

