
%% Disclaimer
%{

The information in this document is currently being subjected to peer 
review. Mention of trade names or commercial products does not constitute 
endorsement or recommendation for use by the developers.

The code here must be used at the user's own risk. 

Neither Industrial Economics, Inc., nor the program authors can assume 
responsibility for model operation, output, interpretation or usage.

The creators of this program have used their best efforts in preparing this 
code. It is not absolutely guaranteed to be error free. The author/programmer 
makes no warrantees, expressed or implied, including without limitation 
warrantees of merchantability or fitness for any particular purpose. No 
liability is accepted in any event for any damages, including accidental or 
consequential damages, lost of profits, costs of lost data or programming 
materials, or otherwise in connection with or arising out of the use of 
this program.

%}

%%

home.home = '~/';%'D:\';%'L:\';
% home.prj = [home.home '02 Projects\EPA Grid Reliability II\04 Data and Analysis\'];
home.prj = [home.home 'Dropbox/EPA Grid Reliability II/04 Data and Analysis/'];
home.input = [home.prj '03 Stressor Response/Input/MAT Files/'];
home.output = [home.prj '03 Stressor Response/Output/MAT Files/'];
home.invdata = [home.prj '01 Infrastructure Inventory/Output/MAT Files/'];
home.climate = [home.input 'Climate/'];

% inventory
INFR = load([home.invdata 'Infrastructure_Inventory.mat']);

%% names and nums

% names
names.gcms = {'CanESM2' 'CCSM4' 'GFDL-CM3' 'GISS-E2-R' 'HadGEM2-ES' 'MIROC5'};
names.rcps = {'rcp45' 'rcp85'};
names.yearsFut = 2006:2099;
names.yearsHist = 1986:2005;
names.cty = INFR.key.counties; 
names.yearsEras = {2040:2059 2080:2099};
names.eras = {'2050' '2090'};
names.adapt = {'NoAdapt' 'Reactive' 'Proactive' 'Perf Fore'};

% nums
for v = fieldnames(names)'
  num.(v{:}) = length(names.(v{:}));
end

% build climate list
i = 1;
names.clims{1} = 'HIST';
for gcm = 1:num.gcms
  for rcp = 1:num.rcps
    i = i + 1;
    names.clims{i} = [names.gcms{gcm} '_' names.rcps{rcp}];
  end
end   
num.clims = length(names.clims);

voltages = [14 69 115 230 345 500];
num.volts = length(voltages);